<!-- Copyright (C) 2022 Edith Coates -->
<!-- Copyright (C) 2022 Brennen Chiu -->
<!-- Copyright (C) 2023 Andrew Rechnitzer -->

{% extends 'base/base.html' %}

{% block title %}Web Plom - Scan{% endblock %}

{% block page_heading %}Scan bundles{% endblock %}

{% block main_content %}
<div class="d-grid gap-2">
    <div class="card w-50">
        <div class="card-body" style="height: 182.5px">
            <h5>Pushed Summary:</h5>
            <div class="row">
                <div class="col">
                    <p style="color: green;">{{ completed_test_papers }} / {{ total_completed_test_papers }} completed test papers</p>
                    <p>? / 30 un-use test papers</p>
                    <a class="btn" style="background-color: #0F984F; color: white;" href="{% url 'scan_summary' %}">View Details</a>
                    {% comment %} un-use for when I don't see any paper {% endcomment %}
                    {% comment %} incomplete for missing paper {% endcomment %}
                    {% comment %} complete is when done {% endcomment %}
                </div>
                <div class="col">
                    <p style="color: red;">? / 30 incomplete test papers</p>
                </div>
            </div>
        </div>
    </div>
    <div class="card w-50">
        <div class="card-body">
            <h5 class="card-title">Upload bundle PDF</h5>
            <details style="margin-bottom: 10px;">
                <summary>Dummy help text!</summary>
                <p>
                    <ul>
                        <li>Upload scanned tests here.</li>
                        <li>Plom will read the QR codes and find problems if there are any.</li>
                    </ul>
                </p>
            </details>
            <form
                enctype="multipart/form-data"
                method="post"
                action="{% url 'scan_home' %}"
            >
                {% csrf_token %}
                {{ form }}
                <input type="submit" class="btn" value="Upload" style="background-color: #0F984F; color: white;">
            </form>
        </div>
    </div>
    <br>
    <div>
        <div class="row" style="margin-right: 0.1px;">
            <div class="col border">
                <div>
                    <h5>Staged Bundles</h5>
                    <div class="d-grid gap-2">
                        {% if staged_bundles %}
                        {% for bundle in staged_bundles %}			
                        <div hx-get="{% url 'scan_get_staged_bundle_fragment' bundle.timestamp %}"
			     hw-swap="innerHTML" hx-trigger="load"
			     id="bundle{{bundle.slug}}"
			     >
			</div>
                            {% endfor %}
                        {% else %}
                        <h6>No bundles uploaded yet.</h6>
                        {% endif %}
                    </div>
                </div>
            </div>
            <div class="col">
                <div>
                    <h5>Pushed Bundles</h5>
                    {% if pushed_bundles %}
                    {% for bundle in pushed_bundles %}
                    <div class="card" style="min-width: fit-content; max-width: 50%">
                      <div class="card-body d-flex flex-row p-0">
                        <img 
                          src="{% url 'scan_get_image' bundle.timestamp 0 %}"
                          class="border rounded-start"
                          style="max-height: 14em;"
                          >
                        <div class="p-2">
                          <h5 class="card-title">{{ bundle.slug }}.pdf</h5>
                          <ul class="list-unstyled">
                            <li>Total pages: {{ bundle.pages }}</li>
                          </ul>
                          <a 
                            class="btn" 
                            href="{% url 'scan_manage_bundle' bundle.timestamp 0 %}"
                            style="background-color: #0F984F; color: white;"
                            >
                            View
                          </a>
                        </div>
                      </div>
                    </div>
                    {% endfor %}
                    {% else %}
                    <div class="d-grid gap-2">
                      <h6>No bundles pushed yet.</h6>
                    </div>
                    {% endif %}
                </div>
            </div>
        </div>
    </div>
{% endblock %}

